org.red5.server.stream

## Interface IStreamData<T>

All Known Implementing Classes:
  Aggregate, AudioData, FlexMessage, FlexStreamSend, Invoke, Notify, VideoData

    public interface IStreamData<T>

Stream data packet

### Method Summary

Methods
`IStreamData<T>` `duplicate()` Creates a byte accurate copy.
`IoBuffer` `getData()` Getter for property 'data'.

### Method Detail

#### getData

    IoBuffer getData()

Getter for property 'data'.

Returns:
  Value for property 'data'.

#### duplicate

    IStreamData<T> duplicate()
                             throws IOException,
                                    ClassNotFoundException

Creates a byte accurate copy.

Returns:
  duplicate of the current data item
Throws:
  `IOException`
  `ClassNotFoundException`